<ng-container *ngIf="file$ | async as file; else loading">

    <div class="file-reader">
        <mr-expanded-file
        (edit)="editFile(file.id)"
        (remove)="deleteFile(file.id, file.picture)"
        [file]="file" [showMenu]="!!file.isAuthor"></mr-expanded-file>
    </div>

</ng-container>

<ng-template #loading>
    <mr-loader></mr-loader>
</ng-template>
